@import "setting.fonts.scss", "setting.colors.scss", "util.mixins.scss";

* {
  box-sizing: border-box;
  &:before,
  &:after {
    box-sizing: border-box;
  }
}
:root {
  font-size: #{$root-fontSize}px;
}

body {
  font-family: $root-fontFamily;
  font-weight: $root-fontWeight;
  line-height: $root-lineHeight;
  margin: 0;
  background-color: #f6f6f6;
  color: $body-color;
  word-break: break-word;
}

a {
  text-decoration: none;
  color: inherit;
  transition: 0.3s ease;
}

figure,
img,
iframe {
  max-width: 100%;
}

figure {
  margin: 0;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
  outline: none;
}

textarea {
  min-height: 200px;
  border-radius: 20px;
}

button {
  cursor: pointer;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  padding-right: 60px;
  background-image: url(../images/select-arrow.png);
  background-repeat: no-repeat;
  background-position: right center;
  max-width: 100%;
}

ins {
  text-decoration: unset;
}

table {
  width: 100%;
  border-collapse: collapse;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
}
th,
td {
  padding: 5px;
}
caption {
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: 1px;
  padding: 10px;
}
thead {
  background-color: $heading-color;
  th {
    color: white;
    padding: 10px 5px 5px;
  }
}
tbody {
  background-color: white;

  tr:nth-child(odd) {
    background-color: #f1f4f6;
  }
}
tfoot {
  background-color: $secondary-color;
  color: white;
  a {
    color: white;
  }
}

button:disabled {
  border-color: #888;
}
